<Project Sdk="Microsoft.NET.Sdk.Web">

	<PropertyGroup>
		<TargetFramework>net7.0</TargetFramework>
		<Product>Insight</Product>
		<AssemblyName>api</AssemblyName>
		<AssemblyVersion>2023.9.21.1</AssemblyVersion>
		<RootNamespace>Insight.Api</RootNamespace>
		<Nullable>enable</Nullable>
		<ImplicitUsings>enable</ImplicitUsings>
		<UserSecretsId>4ae1d3bf-869e-4963-8a19-35634507d3b3</UserSecretsId>

		<PublishAot>false</PublishAot>
		<PublishTrimmed>false</PublishTrimmed>
		<!--<ServerGarbageCollection>false</ServerGarbageCollection>
	  <ConcurrentGarbageCollection>false</ConcurrentGarbageCollection>-->

		<GenerateDocumentationFile>True</GenerateDocumentationFile>
		<NoWarn>$(NoWarn);1591</NoWarn>
	</PropertyGroup>

	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
	  <DebugType>none</DebugType>
	</PropertyGroup>

	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
	  <DebugType>none</DebugType>
	</PropertyGroup>

  <ItemGroup>
	  <PackageReference Include="Microsoft.Extensions.Hosting.Systemd" Version="7.0.0" />
	  <PackageReference Include="Microsoft.Extensions.Hosting.WindowsServices" Version="7.0.1" />
	  <PackageReference Include="Microsoft.AspNetCore.OpenApi" Version="7.0.11" />
	  <PackageReference Include="Swashbuckle.AspNetCore" Version="6.5.0" />
	  <PackageReference Include="Serilog.Extensions.Logging.File" Version="3.0.0" />
	  <!--Unix Serilog stuff-->
	  <PackageReference Include="System.IO.FileSystem.Primitives" Version="4.3.0" />
	  <PackageReference Include="System.Text.Encoding.Extensions" Version="4.3.0" />
	  <PackageReference Include="System.Runtime.Handles" Version="4.3.0" />
	  <PackageReference Include="System.IO" Version="4.3.0" />
	  <PackageReference Include="System.Runtime.InteropServices" Version="4.3.0" />
	  <PackageReference Include="System.Threading" Version="4.3.0" />
	  <PackageReference Include="System.Threading.Tasks" Version="4.3.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\..\Core\Insight.Infrastructure\Insight.Infrastructure.csproj" />
  </ItemGroup>

</Project>
